Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Constraint_Nodes.h File Reference

`#include "Constraint_Tokens.h"`
`#include "tao/Basic_Types.h"`
`#include "orbsvcs/Trader/trading_export.h"`

Include dependency graph for Constraint_Nodes.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
## Compounds
class | TAO_Binary_Constraint
| TAO_Binary_Constraint represents an operation with left and right operands. More...
class | TAO_Constraint
| TAO_Constraint is the base class of all nodes on the constraint expression tree. More...
class | TAO_Literal_Constraint
| TAO_Literal_Constraint represents a literal occuring in the constraint expression tree. More...
class | TAO_Noop_Constraint
| A node that represents an operation with no operands. More...
class | TAO_Property_Constraint
| TAO_Property_Constraint represents a property whose value is determined by the offer being evaluated. More...
class | TAO_Unary_Constraint
| TAO_Unary_Constraint represents an operation with only one operand. More...
## Typedefs
typedef unsigned short | TAO_Expression_Type

## Detailed Description

Id:
  Constraint_Nodes.h,v 1.22 2003/10/28 18:34:24 bala Exp

Author:
  Seth Widoff <sbw1@cs.wustl.edu>

## Typedef Documentation

typedef unsigned short TAO_Expression_Type